#!/bin/sh 


PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin

my_prvip="10.0.10.1"
my_pubip="83.149.128.180"
my_net="10.0.0.0/8"

peer_prvip="10.36.102.254"
peer_pubip="83.149.145.58"
peer_net="10.36.102.0/24"

in_spi="0x123"
out_spi="0x123"

in_crypto="3des-cbc"
out_crypto="3des-cbc"

in_key="0x0a69b3b1ed8930305d5093fd0f2468ad238d52e74fb34557"
out_key="0x0a69b3b1ed8930305d5093fd0f2468ad238d52e74fb34557"

case "$1" in
start)
	
	ifconfig  gif0 create 
	ifconfig  gif0 inet ${my_prvip} netmask 255.255.255.255 ${peer_prvip} netmask 255.255.255.255 tunnel ${my_pubip} ${peer_pubip}

	setkey -FP
	setkey -F

	setkey -c << EOF
		add ${peer_pubip} ${my_pubip} esp ${in_spi}  -m tunnel -E ${in_crypto}  ${in_key};
		add ${my_pubip} ${peer_pubip} esp ${out_spi} -m tunnel -E ${out_crypto} ${out_key};
		spdadd ${my_net} ${peer_net} any -P out ipsec esp/tunnel/${my_pubip}-${peer_pubip}/use;
		spdadd ${peer_net} ${my_net} any -P in  ipsec esp/tunnel/${peer_pubip}-${my_pubip}/use;
EOF

	route add ${peer_net} ${peer_prvip}
;;

stop)

	setkey -FP
	setkey -F
	
	ifconfig  gif0	delete
	ifconfig  gif0	destroy

	route delete -net ${peer_net}
	
	;;

*)
	echo "Usage: `basename $0` {start|stop}" >&2
	;;
esac

exit 0

