#!/bin/sh 

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin

my_prvip="10.6.27.254"
my_pubip="83.149.148.103"
my_net="10.6.27.0/24"

peer_prvip="128.0.0.12"
peer_pubip="194.184.120.126"
peer_net="192.168.0.0/16"

racoon="/usr/local/sbin/racoon"
racoon_cfg="/usr/local/etc/racoon/racoon.conf"

case "$1" in
start)
	
	ifconfig  gif0 create 
	ifconfig  gif0 inet ${my_prvip} netmask 255.255.255.255 ${peer_prvip} netmask 255.255.255.255 tunnel ${my_pubip} ${peer_pubip}

	setkey -FP
	setkey -F

	setkey -c << EOF
		spdadd ${my_net} ${peer_net}  any -P out ipsec esp/tunnel/${my_pubip}-${peer_pubip}/use;
		spdadd ${peer_net} ${my_net}  any -P in  ipsec esp/tunnel/${peer_pubip}-${my_pubip}/use;
EOF

	${racoon} -f ${racoon_cfg}
	
	route add ${peer_net} ${peer_prvip}

;;


stop)

	setkey -FP
	setkey -F
	
	ifconfig  gif0	delete
	ifconfig  gif0	destroy

	killall -9 racoon 
	rm -rf /var/run/racoon.pid

	route delete -net ${peer_net}
	;;

*)
	echo "Usage: `basename $0` {start|stop}" >&2
	;;
esac

exit 0
