#!/bin/sh

if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
    echo "$0: Cannot determine the PREFIX" >&2
    exit 1
fi

CONFIG="/usr/local/etc/openvpn1.cfg"
PEER="10.254.254.1"
NET="192.168.0"

case "$1" in
start)
	${PREFIX}/sbin/openvpn --config ${CONFIG} && echo -n ' openvpn'
        /bin/sleep 5
	echo ""
        /sbin/route add -net ${NET} ${PEER}

;;
stop)
        /usr/bin/killall -9 openvpn > /dev/null && echo -n ' openvpn'
        ;;
*)
        echo "Usage: `basename $0` {start|stop}" >&2
        ;;
esac

exit 0

